<ion-header>
  <ion-toolbar>
    <ion-title> Bienvenido {{ name }} {{ primerApellido }} </ion-title>

    <ion-buttons slot="primary">
      <ion-button color="black" fill="outline" (click)="prosesLogout()"
        ><ion-icon slot="end" name="search"></ion-icon
      ></ion-button>
    </ion-buttons>

    <ion-buttons slot="primary">
      <ion-button color="black" fill="outline" (click)="prosesLogout()"
        ><ion-icon slot="end" name="log-out"></ion-icon
      ></ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content padding class="background">
  <ion-tabs>
    <ion-tab-bar slot="bottom">
      <ion-tab-button tab="schedule">
        <ion-icon name="list-box"></ion-icon>

        <ion-label>Noticias</ion-label>
        <ion-badge>6</ion-badge>
      </ion-tab-button>

      <ion-tab-button tab="speakers">
        <ion-icon name="help-buoy"></ion-icon> <ion-label>S.O.S</ion-label>
      </ion-tab-button>

      <ion-tab-button tab="map">
        <ion-icon name="map"></ion-icon>
        <ion-label>Mapa</ion-label>
      </ion-tab-button>

      <ion-tab-button tab="about">
        <ion-icon name="information-circle"></ion-icon>
        <ion-label>Informacion</ion-label>
      </ion-tab-button>
    </ion-tab-bar>
  </ion-tabs>

  <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content
      pullingIcon="arrow-dropdown"
      pullingText="Pull to refresh"
      refreshingSpinner="circles"
      refreshingText="Refreshing..."
    >
    </ion-refresher-content>
  </ion-refresher>

  <ion-button (click)="scanCode()">
    Scan Code
  </ion-button>

  <ion-item-sliding *ngFor="let customer of customers">
    <ion-item>
      <ion-label>{{ customer.idUsuario }}</ion-label>
    </ion-item>
    <ion-item>
      <ion-label>{{ customer.login }}</ion-label>
    </ion-item>
    <ion-item>
      <ion-label>{{ customer.estado }}</ion-label>
    </ion-item>
    <ion-item-options side="end"> </ion-item-options>
  </ion-item-sliding>

  <ion-fab vertical="center" horizontal="end" slot="fixed">
    <ion-fab-button color="danger" (click)="presentModal()">
      <ion-icon name="alert"></ion-icon>
    </ion-fab-button>
  </ion-fab>

  <ion-fab vertical="bottom" horizontal="center" slot="fixed">
    <ion-fab-button color="primary" (click)="scanCode()">
      <ion-icon name="qr-scanner"> </ion-icon>
    </ion-fab-button>
  </ion-fab>

  <ion-button (click)="hide()">
    Mostrar
  </ion-button>

  <ion-item *ngIf="hideMe">
    <ion-label position="stacked">Comentarios</ion-label>

    <ion-input>
      <ion-button> <ion-icon name="send"></ion-icon></ion-button>
    </ion-input>
  </ion-item>

    <p>Latitud: {{ latitud }}</p>
    <p>Longitud: {{ longitud }}</p>

</ion-content>
